package com.sh.djpk.econsole.rest.dao;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;


public interface AkunEliminasiDao {
	
	
	List<HashMap> getEliminasi(
			@Param("tahunAnggaran") String tahunAnggaran
			);
	
	List<HashMap> getEliminasiPemda(
			@Param("kodePemda") String kdpemda,
			@Param("tahunAnggaran") String tahunAnggaran
			);
	
	List<HashMap> getHead(
			);
	
	List<HashMap> getResiprokal(
			@Param("lapId") int lapId
			);
	
	List<HashMap> getAkun(
			@Param("resId") int resId
			);
	
	List<HashMap> getCompilation43(
			@Param("kd1") String kd1,
			@Param("kd2") String kd2,
			@Param("kd3") String kd3,
			@Param("kd4") String kd4,
			@Param("headId") String headId,
			@Param("resId") int resId
			);
	
	List<HashMap> getCompilation42(
			@Param("kd1") String kd1,
			@Param("kd2") String kd2,
			@Param("kd3") String kd3,
			@Param("kd4") String kd4,
			@Param("headId") String headId,
			@Param("resId") int resId
			);
	
	public int insertEliminasi(
			@Param("params") Map<String, Object> params,
			@Param("headerId") String header_id
			);
	HashMap getSaldoAkun(
			@Param("params") Map<String, Object> params,
			@Param("headerId") String header_id
			
			);
	
	

}
